Frequently Asked Questions
 Is this a Shopping Cart site? No. Once you select the quantity of licenses you desire to purchase you will be transfered to 3rd party e-commerce service provider PayPal (Preferred) to make your purchase. You can be assured that you are entering a SSL secure site to make your purchase.
 Can I download without purchasing? Yes. In fact you are encouraged to download and try our demo(s) before you buy to see if they meet you needs. We will work with you to resolve any Unicode issues via our techincal support. Most issues are resolved in less than 24 hours.
 Is there a time limit on demos. No.
  • The new evaluation demos run in the IDE and have no expiration date.
  • A license is required for controls to display correctly when compiled.

 

 How do you make sure the controls run on various Operating Systems. Our development machine runs the following OS:
  • Windows 7 Ultimate SP1 x64.
  • Windows XP SP3 (VMware Desktop).
  • Windows 7 Pro x86 (VMware Desktop).
  • Windows Server 2008 (VMware Desktop).
  • Windows 8 (VMware Desktop).
 UniSuite does not finish install on Win2K. UniPrinter object requires GDI+ so install that first and then UniSuite should install OK.
http://www.microsoft.com/downloads/details.aspx?FamilyId=6A63AB9C-DF12-4D41-933C-BE590FEAA05A&displaylang=en
 UniSuite is not working properly on my system.
  1. Make sure you have installed "Far East" and "RighToLeft" support for your OS.
  2. Make sure you have installed the latest Vb6 Service Pack 6.0. Download at http://support.microsoft.com/kb/290887
  3. Make sure you have the latest controls from our site. www.cyberactivex.com/
  4. Make sure the correct dependencies are available and registered. See www.cyberactivex.com/requirements
 UniSuite is working properly on my system but not when I deploy it to another machine. When deploying your application to another machine you should use a Package and Deployment wizard which will install and register your application and components.
Recommended are: 

The most common reason for not working on another machine is a missing dependency file:
UniSuite dependencies are:

  • Vb6 Runtimes. 
  • UniRichEdit requires OleLib.Tlb and OleLib2.Tlb to be installed in the Windows\System32 folder. You must register these TLBs with RegSvr32.exe or via a Package and Deployment wizard.

 

 How do I update an existing project to UniSuite? Run the MigrationWizard which will allow you to replace selected Vb6 controls with their UniSuite equivalent.
 My project uses Forms 2.0 Object Library controls. How do I update this project to UniSuite? With Notepad or Search&Replace utility replace "MSForms." with "" in all Vbp and Frm files. This will restore Vb6 intrinsic controls to project. Run the MigrationWizard which will allow you to replace selected Vb6 controls with their UniSuite equivalent.
 My project uses several 3rd party controls. How do I update this project to UniSuite? Download this free utility which allows replacing one control in project with another. This is also useful if binary compatibility was broken and you need to update to the latest version of a UniSuite control.
http://10tec.com/vb6-project-references-update/